For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETGet a receipt
      • POSTVerify a receipt's signature (public)
LogoLogo
DashboardGet started
Generated API ExplorerReceipts

Verify a receipt’s signature (public)

POST
/v1/receipts/verify
POST
/v1/receipts/verify
$curl -X POST https://api.lipafy.xyzyz/v1/receipts/verify \
> -H "Content-Type: application/json" \
> -d '{
> "receipt": "string"
>}'
200Successful
1{
2 "valid": true,
3 "key_id": "string",
4 "verified_at": "2024-01-15T09:30:00Z",
5 "details": {}
6}
Was this page helpful?
Previous

List settlements (owner)

Next
Built with

Request

This endpoint expects an object.
receiptstringRequired1-8000 characters

Response

OK
validboolean
key_idstring
verified_atdatetime
detailsobject